Поддержка услуг » База знаний » Как включить акселератор PHP на виртуальном хостинге с панелью CPanel/ISPmanager
 Как включить акселератор PHP на виртуальном хостинге с панелью CPanel/ISPmanager
Решение
Для включения акселератора PHP (eaccelerator, apc, xcache, opcache), в файл /php.ini (находится в корневой директории вашего заказа), добавьте строку с загрузкой нужного модуля:

для PHP 5.2
zend_extension = /usr/local/php52/lib/php/extensions/no-debug-non-zts-20060613/eaccelerator.so
zend_extension = /usr/local/php52/lib/php/extensions/no-debug-non-zts-20060613/apc.so

для PHP 5.3
zend_extension = /usr/local/php53/lib/php/extensions/no-debug-non-zts-20090626/eaccelerator.so
zend_extension = /usr/local/php53/lib/php/extensions/no-debug-non-zts-20090626/apc.so
zend_extension = /usr/local/php53/lib/php/extensions/no-debug-non-zts-20090626/opcache.so
zend_extension = /usr/local/php53/lib/php/extensions/no-debug-non-zts-20090626/xcache.so

для PHP 5.4
zend_extension = /usr/local/php54/lib/php/extensions/no-debug-non-zts-20100525/eaccelerator.so
zend_extension = /usr/local/php54/lib/php/extensions/no-debug-non-zts-20100525/apc.so
zend_extension = /usr/local/php54/lib/php/extensions/no-debug-non-zts-20100525/opcache.so
zend_extension = /usr/local/php54/lib/php/extensions/no-debug-non-zts-20100525/xcache.so

для PHP 5.5
zend_extension = /usr/local/php55/lib/php/extensions/no-debug-non-zts-20121212/opcache.so
zend_extension = /usr/local/php55/lib/php/extensions/no-debug-non-zts-20121212/xcache.so

для PHP 5.6
zend_extension = /usr/local/php56/lib/php/extensions/no-debug-non-zts-20131226/opcache.so
zend_extension = /usr/local/php56/lib/php/extensions/no-debug-non-zts-20131226/xcache.so

для PHP 7.0
zend_extension = /usr/local/php70/lib/php/extensions/no-debug-non-zts-20151012/opcache.so

для PHP 7.1
zend_extension = /usr/local/php71/lib/php/extensions/no-debug-non-zts-20160303/opcache.so

Через некоторое время(примерно через 10-15 минут) PHP начнёт работать с новыми настройками.

Внимание! Подключать несколько акселераторов одновременно для одной версии PHP не нужно!
Также убедитесь, что подключаете модуль именно для используемой вами версии PHP.


comments powered by Disqus
 Назад
 Интернет Хостинг Центр
 Войти [Пароль утерян] 
Электронная почта:
Пароль:
Запомнить:
 
 Поиск
 Свойства статьи
Главная | Регистрация | База знаний | Новости | Загрузки
Язык: